<?php
namespace Util\Instance;

use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DependencyInjection\InstanceManager;
use Util\InstanceProvider;


class Factory {
    /** @return  Factory */
    public static function getInstance()
    {
        return new static();
    }
    /** @return \Factory\Call */
    public function getCall()
    {
        return InstanceManager::getInstance()->getService('\Factory\Call');
    }

    /** @return \Factory\Contato */
    public function getContato()
    {
        return InstanceManager::getInstance()->getService('\Factory\Contato');
    }

    /** @return \Factory\CrmConclusaocontato */
    public function getCrmConclusaocontato()
    {
        return InstanceManager::getInstance()->getService('\Factory\CrmConclusaocontato');
    }

    /** @return \Factory\DeployRepository */
    public function getDeployRepository()
    {
        return InstanceManager::getInstance()->getService('\Factory\DeployRepository');
    }
    /** @return \Factory\DeployProducts */
    public function getDeployProducts()
    {
        return InstanceManager::getInstance()->getService('\Factory\DeployProducts');
    }

    /** @return \Factory\OmProdutoOrgVersao */
    public function getOmProdutoOrgVersao()
    {
        return InstanceManager::getInstance()->getService('\Factory\OmProdutoOrgVersao');
    }

    /** @return \Factory\DeployStep */
    public function getDeployStep()
    {
        return InstanceManager::getInstance()->getService('\Factory\DeployStep');
    }
    
    /** @return \Factory\FctAnexoContrato */
    public function getFctAnexoContrato()
    {
        return InstanceManager::getInstance()->getService('\Factory\FctAnexocontrato');
    }

    /** @return \Factory\Comments */
    public function getComments()
    {
        return InstanceManager::getInstance()->getService('\Factory\Comments');
    }

}
